<?php
namespace Mirasvit\SeoSitemap\Block\Map\Store;

/**
 * Interceptor class for @see \Mirasvit\SeoSitemap\Block\Map\Store
 */
class Interceptor extends \Mirasvit\SeoSitemap\Block\Map\Store implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Mirasvit\SeoSitemap\Model\Config $config, \Mirasvit\SeoSitemap\Helper\Data $seoSitemapHelper, \Magento\Framework\View\Element\Template\Context $context, array $data = [])
    {
        $this->___init();
        parent::__construct($config, $seoSitemapHelper, $context, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
